import 'utils/export_import_enum.dart';

/// This class represents configurations for importing editor data.
class ImportEditorConfigs {
  /// The merge mode for importing editor data.
  final ImportEditorMergeMode mergeMode;

  /// A flag indicating whether to recalculate size and position during import
  /// based on the new image size and device size.
  final bool recalculateSizeAndPosition;

  /// Constructs an [ImportEditorConfigs] instance.
  ///
  /// By default, [recalculateSizeAndPosition] is set to `true` and
  /// [mergeMode] is set to [ImportEditorMergeMode.replace].
  const ImportEditorConfigs({
    this.recalculateSizeAndPosition = true,
    this.mergeMode = ImportEditorMergeMode.replace,
  });
}
